issue_membership
POST
/gov/v1/identity/membership/{project_uuid}
const url = 'https://example.com/gov/v1/identity/membership/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"expiryDate":"2027-05-05T09:00:00Z","role":["example"],"subjectDid":"did:key:z6MkpRdf4P2f3EaEhx3iKxJWLN8LeF3NfJ1hV4uLci3xV8j2"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/gov/v1/identity/membership/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "expiryDate": "2027-05-05T09:00:00Z", "role": [ "example" ], "subjectDid": "did:key:z6MkpRdf4P2f3EaEhx3iKxJWLN8LeF3NfJ1hV4uLci3xV8j2" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_uuid
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
expiryDate
required
string
Example
2027-05-05T09:00:00Z role
Optional roles granted to the identity within the project.
Array<string>
subjectDid
required
DID of the agent/identity that belongs to the project.
string
Example
did:key:z6MkpRdf4P2f3EaEhx3iKxJWLN8LeF3NfJ1hV4uLci3xV8j2Responses
Section titled “ Responses ”Project membership credential issued
Media type application/json
object
credential
required
object
credentialId
required
string
sourceCid
required
string
Example
{ "credentialId": "urn:uuid:aa115482-3a7d-498a-a05c-983722b501f8", "sourceCid": "bafybeibwzifp5oc5mirxgcq"}